/*Reset*/
body{
    margin: 0;
    padding: 0;
    background-color: #efebeb;
}
html{
    scroll-behavior: smooth;
}
*{
    font-family: 'Bree Serif', serif;
    margin: 0;
    padding: 0;
}

/*NavBar-Section*/
#title{
    margin-left: 15px;
    margin-right: 90px;
}
#services{
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 100px;
}
.allign{
    display: flex;
    font-size: 20px;
    margin: 2px 10px;
    align-items: center;
    justify-content: center;
}
.allign i{
    margin: 0px 5px;
}
#search{
    font-size: 20px;
    margin: 15px 20px;
    margin-right: 100px;
}
#search-login{
    display: flex;
}
#title-services{
    display: flex;
}
#navbar{
    display: flex;
    align-items: center;
    margin-bottom: 10px;
    margin-top: 10px;
}
#navbar a{
    text-decoration: none;
    color: black;
}
#navbar a:hover{
    text-decoration:underline overline;
    color: #fe7900;
    transition: all 0.5s;
}
#navbar-section{
    position: relative;
    border: 2px solid lightgrey;
    border-radius: 5px;
}
#navbar-section::before{
   content: "";
   position: absolute;
   top: 0;
   left: 0;
   background-color:#6c0f6c;
   width: 100%;
   height: 100%;
   z-index: -1;
   opacity: 1;
}

/*Home Section*/
#home{
    margin: 30px 30px;
    background-color: white;
    border-radius: 13px;
}

/*Welcome*/
.heading h1{
    text-decoration: underline overline;
    font-size: 40px;
}
.heading{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 10px;
    padding: 15px 0px;
}

/*Slider*/
#Slider{
    width: 80%;
    overflow: hidden;
    margin: auto;
    border-radius: 10px;
}
#Slides{
    display: flex;
    width: 500%;
}
#Slides input{
    display: none;
}
.Slide{
    width: 20%;
    transition: all 1.5s;
}
.Slide img{
    width: 100%;
}
#manualSlide{
    position: absolute;
    margin-top: -8.3%;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 80%;
}
.mannualBtn{
    border: 2px solid #eb7609;
    padding: 6px;
    border-radius: 10px;
    cursor: pointer;
    transition: all 0.5;
}
.mannualBtn:hover{
    background-color: #fe7900;
}
.mannualBtn:not(:last-child)
{
    margin-right: 5%;
}
#radio1:checked ~ .first{
    margin-left: 0%;
}
#radio2:checked ~ .first{
    margin-left: -20%;
}
#radio3:checked ~ .first{
    margin-left: -40%;
}
#radio4:checked ~ .first{
    margin-left: -60%;
}
.active{
    background-color: #fe7900;
}

/*Hover Photo*/
.image1{
    position: relative;
    width: 100%;
}
.imageImg1{
    max-width: 120px;
    min-width: 130px;
    height: 220px;
}
.imageOverlay1{
    width: 100%;
    height: 99%;
    position: absolute;
    top: 0;
    left: 0;
    margin: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    opacity: 0;
}
.imageOverlay1:hover{
    background: rgba(0, 0, 0, 0.4);
    opacity: 1;
}
.imageOverlay1>*{
    transform: translateY(20px);
    transition: all 0.25s;
}
.imageOverlay1:hover>*{
    transform: translateY(0px);
    
}
.play{
    cursor: pointer;
}

/*Suggested Movies Section*/
.movie1{
    max-width: 170px;
    min-width: 130px;
    padding: 3px 4px;
}
#suggested-movies{
    display: flex;
    overflow:auto;
}
#suggested-movies img{
    border-radius: 5px;
}

/*Alpha and Number Section*/
#alpha-num{
    margin-bottom: 12px;
}

#alpha-num{
    display: flex;
    justify-content: center;
    align-items: center;
}
#alpha-num a{
    text-decoration: none;
    color: black;
    margin: 10px 5px;
    font-size: 19px;
    background-color: rgb(214, 214, 219);
    padding: 5px 10.5px;
    border-radius: 5px;
    transition: all 0.6s;
}
#alpha-num a:hover{
    background-color: #fe7900;
}

/*Latest and New releases Section*/
#latest-and-new{
    display: flex;
}

/*Latest Movie*/
/*Hover Overlay*/
.image{
    width: 100%;
    position: relative;
}
.imageImg{
    width: 100%;
    height: 21vw;
    border-radius: 4px;
}
.imageOverlay{
    width: 100%;
    height: 99%;
    position: absolute;
    top: 0;
    left: 0%;
    background: rgba(0, 0, 0, 0.6);
    transition: all 0.25s;
    color: white;
    border-radius: 5px;
    opacity: 0;
}
.imageOverlay:hover{
    opacity: 1;
}
.imageOverlay>*{
    transform: translateY(20px);
    transition: all 0.25s;
}
.imageOverlay:hover>*{
    transform: translate(0px);
    
}
.imageTitle{
    font-size: 2.26em;
    font-weight: bolder;
    width: 100%;
    word-wrap: break-word;
    padding: 2% 2%;
}
.imageDescription{
    font-size: 1.1em;
    font-weight: bold;
    padding: 0% 2%;
}
#latest-movies-section{
    width: 160%;
}
#latest-movies{
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center;
}
.movie div{
    display: block;
}
.movie{
    margin: 8px 5.5px;
    min-width: 11vw;
    max-width: 12.5vw;
    height: 28vw;
    margin: 2px 8px;
}

/*New Releases, Most Viewed and Upcomming Section*/
#new-mostViewed-upcoming{
    display: flex;
    flex-direction: column;
    width: 60%;
}

/*New Releases Section*/
/*Hover*/
.image3{
    min-width: 6vw;
    max-width: 8vw;
    /* height: 12vw; */
    position: relative;
}
.imageImg3{
    width: 100%;
    /* height: 11vw; */
    border-radius: 4px;
}
.imageOverlay3{
    width: 100%;
    height: 98%;
    border-radius: 4px;
    position: absolute;
    left: 0;
    top: 0;
    opacity: 0;
}
.imageOverlay3:hover{
    background: rgba(0, 0, 0, 0.4);
    opacity: 1;
}
.play{
    cursor: pointer;
}
.imageOverlay3>*{
    transition: all 0.25s;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}
.imageOverlay3:hover>*{
    transform: translate(-50%, -60%);
    
}
/**/
#new-releases-section{
    background-color: #efebeb;
    border-radius: 10px;
    margin: 4px 10px;
}
.heading1{
    display: flex;
    justify-content: center;
    align-items: center;
}
.heading1 h1{
    text-decoration: underline overline;
    font-size: 20px;
    margin-top: 10px;
    padding: 15px 0px;
}
.photo-and-details{
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    margin: 4px 10px;
}
.details a{
    text-decoration: none;
    color: black;
    font-size: 19px;
}
.details i{
    margin: 8px 4px;
}
.details{
    margin-left: 8px;
    font-size: 15px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
}
.quality h3{
    background-color: #fe7900;
    display: inline;
    font-weight: lighter;
    border-radius: 13px;
    padding: 1px 4px;
    font-size: 15px;
}
.star i{
    color: #efcb0b;
}
.photo img{
    width: 100%;
    border-radius: 4px;
}
.photo{
    min-width: 6vw;
    max-width: 8vw;
    height: 12vw;
}


/*Most Viewed Section*/
/*Hover*/
.image2{
    position: relative;
    width: 100%;
}
.imageImg2{
    width: 100%;
    height: 11vw;
    border-radius: 4px;
}
.imageOverlay2{
    width: 100%;
    height: 97%;
    border-radius: 4px;
    position: absolute;
    left: 0;
    top: 0;
    opacity: 0;
}
.imageOverlay2:hover{
    background: rgba(0, 0, 0, 0.4);
    opacity: 1;
}
.play{
    cursor: pointer;
}
#most-viewed{
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center;
}
.movie2 div{
    display: block;
}
.movie2{
    min-width: 7.5vw;
    max-width: 10vw;
    margin: 2px 4px;
    height: 11vw;
}
.imageOverlay2>*{
    transition: all 0.25s;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}
.imageOverlay2:hover>*{
    transform: translate(-50%, -60%);
    
}
#most-viewed-section{
    background-color: #efebeb;
    border-radius: 10px;
    margin: 4px 10px;
}
/*Upcoming Section*/
.details{
    font-size: 15px;
}
.title1{
    font-size: 20px;
}

#upcoming-movies-section{
    background-color: #efebeb;
    border-radius: 10px;
    margin: 4px 10px;
}

/*Page number Section*/
.page{
    background-color: gray;
    border-radius: 4px;
    margin: 3px 10px;
    padding: 7px 14px;
    font-size: 18px;

}
#pagenum a{
    text-decoration: none;
    color: black;
    transition: all 0.7s;
}
.page:hover{

    background-color:#fe7900;
}
#pagenum{
    display: flex;
    justify-content: center;
    align-items: center;
}

/*Footer*/
footer{
    margin: 30px 30px;
    border-radius: 13px;
}
#footer{
    display: flex;
    align-items: center;
}
#footer a{
    text-decoration: none;
    color: black;
}
#footer a:hover{
    text-decoration:underline overline;
    color: #fe7900;
    transition: all 0.5s;
}
#footer-section{
    position: relative;
    border: 2px solid lightgrey;
    border-radius: 5px;
}
#footer{
    display: flex;
    margin-bottom: 10px;
    margin-top: 10px;
}
#footer-section{
    position: relative;
    border: 2px solid lightgrey;
    border-radius: 5px;
}
#footer-section::before{
   content: "";
   position: absolute;
   top: 0;
   left: 0;
   background-color: #6c0f6c;
   width: 100%;
   height: 100%;
   z-index: -1;
   opacity: 1; 
}
#social i{
    font-size: 30px;
    transition: all 0.7s;
}
#social i:hover{
    color: #fe7900;
}
#social{
    margin-left: 130px;
}
.up{ 
    margin-left: 50px;
}






/*Same For all*/
.color{
    color: #fe7900;
}
.colorWhite{
    color: white;
}
.center{
    text-align: center;
}
